Skip to main content
PUT
/
instances
/
{instance}
cURL
curl --request PUT \
  --url http://odyssey-react.test/api/instances/{instance} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "http://odyssey-react.test/api/instances/{instance}"

payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('http://odyssey-react.test/api/instances/{instance}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "customer_id": 123,
    "name": "<string>",
    "environment": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "errors": {}
}

Path Parameters

instance
integer
required

The instance ID

Body

application/json
name
string
Maximum string length: 255
environment
enum<string>
Available options:
production,
staging,
development

Response

data
Instance · object | null
required